﻿@using LAP.DomainModels.Entities.Adviser
@model OccasionEvent
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id > 0 ? "Edit" : "Add") Occasion</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form action="adviser/dashboard/saveoccasion" class="form fv-plugins-bootstrap fv-plugins-framework" id="AddProspect_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="SaveEventComplete">
            <div class="modal-body">
                <input type="hidden" asp-for="Id" />
                <input type="hidden" asp-for="Guid" />
                <input type="hidden" name="confirmed" id="confirmed" />
                <input type="hidden" id="startDateTime" value="@Model?.StartDateTime.Value.ToString("MM/dd/yyyy HH:mm")" />
                <input type="hidden" id="endDateTime" value="@Model?.EndDateTime.Value.ToString("MM/dd/yyyy HH:mm")" />
                <div class="row">
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label asp-for="OccasionType"></label>
                            <select class="form-control form-control-lg" asp-for="OccasionType" asp-items="Html.GetEnumSelectList<OccasionTypeEnum>()" onchange="shoHideOther()">
                            </select>
                            <span asp-validation-for="OccasionType" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label asp-for="Subject"></label>
                            <input asp-for="Subject" class="form-control form-control-lg" maxlength="50">
                            <span asp-validation-for="Subject" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label asp-for="OtherType"></label>
                            <input asp-for="OtherType" class="form-control form-control-lg" maxlength="30">
                            <span asp-validation-for="OtherType" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="StartDate"></label>
                            <div class="input-group date datepicker-control">
                                <input type="text" asp-for="StartDate" asp-format="{0:MM'/'dd'/'yyyy}" class="form-control form-control-lg datemask">
                                <div class="input-group-append">
                                    <span class="input-group-text">
                                        <i class="far fa-calendar-alt"></i>
                                    </span>
                                </div>
                            </div>
                            <span asp-validation-for="StartDate" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="StartTime"></label>
                            <div class="input-group time" id="StartTimepicker" data-target-input="nearest">
                                <input asp-for="StartTime" type="text" value="@Model?.StartTime.ToString("hh:mm tt")" class="form-control form-control-lg datetimepicker-input" data-target="#StartTimepicker" data-toggle="datetimepicker" placeholder="hh:mm tt" readonly />
                                <div class="input-group-append" data-target="#StartTimepicker" data-toggle="datetimepicker">
                                    <span class="input-group-text">
                                        <i class="far fa-clock"></i>
                                    </span>
                                </div>
                            </div>
                            <span asp-validation-for="StartTime" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="EndDate"></label>
                            <div class="input-group date datepicker-control">
                                <input type="text" asp-for="EndDate" asp-format="{0:MM'/'dd'/'yyyy}" class="form-control form-control-lg datemask">
                                <div class="input-group-append">
                                    <span class="input-group-text">
                                        <i class="far fa-calendar-alt"></i>
                                    </span>
                                </div>
                            </div>
                            <span asp-validation-for="EndDate" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="EndTime"></label>
                            <div class="input-group time" id="EndTimepicker" data-target-input="nearest">
                                <input asp-for="EndTime" type="text" value="@Model?.EndTime.ToString("hh:mm tt")" class="form-control form-control-lg datetimepicker-input" data-target="#EndTimepicker" data-toggle="datetimepicker" placeholder="hh:mm tt" readonly />
                                <div class="input-group-append" data-target="#EndTimepicker" data-toggle="datetimepicker">
                                    <span class="input-group-text">
                                        <i class="far fa-clock"></i>
                                    </span>
                                </div>
                            </div>
                            <span asp-validation-for="EndTime" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-12">
                        <div class="form-group">
                            <label asp-for="Tag"></label>
                            <input asp-for="Tag" class="form-control form-control-lg" maxlength="50">
                            <span asp-validation-for="Tag" class="text-danger"></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold" id="btn_submit_activity">
                    <i class="la la-save"></i> Save
                </button>
            </div>
        </form>
    </div>
</div>
<script type="text/javascript">
    $('#StartTimepicker,#EndTimepicker').datetimepicker({
        stepping: 15,
        ignoreReadonly: true,
        format: 'LT'
    });
    $("#StartDate").on("change.datepicker", function (e) {
        $("#EndDate").datepicker("setStartDate", e.target.value);
        $("#EndDate").datepicker('setDate', e.target.value);
    });
    $("#StartTimepicker").on("change.datetimepicker", function (e) {
        $("#EndTime").val("");
        var startDate = $("#StartDate").val();
        var endDate = $("#EndDate").val();
        var startTime = $("#StartTime").val();
        if (startTime.length) {
            var startDateTime = new Date(`${startDate} ${startTime}`);
            $("#startDateTime").val(moment(startDateTime).format('MM/DD/YYYY HH:mm'));
            if (startDate == endDate) {
                $('#EndTimepicker').datetimepicker({
                    stepping: 15,
                    ignoreReadonly: true,
                    format: 'LT'
                });
            }
            else {
                $('#EndTimepicker').datetimepicker('destroy');
                $('#EndTimepicker').datetimepicker({
                    stepping: 15,
                    ignoreReadonly: true,
                    format: 'LT'
                });
            }
        }
    });
    $("#EndTimepicker").on("change.datetimepicker", function (e) {
        var endDate = $("#EndDate").val();
        var endTime = $("#EndTime").val();
        if (endTime.length) {
            var endDateTime = new Date(`${endDate} ${endTime}`);
            $("#endDateTime").val(moment(endDateTime).format('MM/DD/YYYY HH:mm'));
        }
    });
    $("#EndDate").on("change.datepicker", function (e) {
        setTimeout(function () {
            $("#StartTimepicker").change();
            $("#EndTime").val("");
        }, 0);
    });
    var shoHideOther = function () {
        var type = $("#OccasionType").val();
        var el = $("#OtherType").closest(".form-group");
        el.removeClass("d-none");
        if (type != OccasionTypeEnum.Other) {
            $("#OtherType").val("");
            el.addClass("d-none");
        }
    }
    shoHideOther();
</script>